<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.ytpm</groupId>
    <artifactId>yt_platform</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>pom</packaging>
    <modules>
        <module>yt-common</module>
        <module>yt-gateway</module>
        <module>yt-oauth</module>
        <module>yt-agent</module>
        <module>yt-risk</module>
        <module>yt-app</module>
        <module>yt-advertise</module>
        <module>yt-middle</module>
        <module>yt-irun</module>
        <module>yt-raisepig</module>
        <module>yt-algebraic</module>
        <module>yt-countstep</module>
        <module>yt-idiom</module>
        <module>yt-walk</module>
        <module>yt-answer</module>
        <module>yt-dtw</module>
        <module>yt-calculator</module>
        <module>yt-summary</module>
        <module>yt-diary</module>
        <module>yt-emoticons</module>
        <module>yt-lemon</module>
        <module>yt-ios-lemon</module>
        <module>yt-carp</module>
        <module>yt-nofeeds</module>
        <module>yt-lime</module>
        <module>yt-arithmetic</module>
        <module>yt-mileage</module>
        <module>yt-vitality</module>
        <module>yt-picking</module>
        <module>yt-funarith</module>
        <module>yt-allusion</module>
        <module>yt-adage</module>
        <module>nacos-monitor</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <java.version>1.8</java.version>
        <spring-boot.version>2.1.9.RELEASE</spring-boot.version>
        <springcloud-alibaba.version>0.9.0.RELEASE</springcloud-alibaba.version>
        <mybatis-plus.version>3.1.1</mybatis-plus.version>
        <mysql.version>8.0.28</mysql.version>
        <encoding>UTF-8</encoding>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <!--database-->
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis-plus.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${springcloud-alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>Greenwich.SR2</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>
</project>